<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Camera</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="shortcut icon" type="image/x-icon" href="https://www.meritnation.com/blog/wp-content/upLoads/3_vintage-camera-png-icon-camera-png-10.png" />


    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:300,400,500,700" rel="stylesheet">

    <link rel="stylesheet" href="css/open-iconic-bootstrap.min.css">
    <link rel="stylesheet" href="css/animate.css">

    <link rel="stylesheet" href="css/owl.carousel.min.css">
    <link rel="stylesheet" href="css/owl.theme.default.min.css">
    <link rel="stylesheet" href="css/magnific-popup.css">

    <link rel="stylesheet" href="css/aos.css">

    <link rel="stylesheet" href="css/ionicons.min.css">

    <link rel="stylesheet" href="css/bootstrap-datepicker.css">
    <link rel="stylesheet" href="css/jquery.timepicker.css">


    <link rel="stylesheet" href="css/flaticon.css">
    <link rel="stylesheet" href="css/icomoon.css">
    <link rel="stylesheet" href="css/style.css">
  </head>
  <body>

	<div id="colorlib-page">
		<a href="#" class="js-colorlib-nav-toggle colorlib-nav-toggle"><i></i></a>
		<aside id="colorlib-aside" role="complementary" class="js-fullheight text-center">
			<h1 id="colorlib-logo"><a href="views">Camera<span>.</span></a></h1>
			<nav id="colorlib-main-menu" role="navigation">
				<ul>
					<li><a href="views">Home</a></li>
          <li><a href="about">about</a></li>
          <li><a href="create">product</a></li>
      <li><a href="{{ route('post.create') }}">Create Post</a></li>
        <li><a href="{{ url('/posts') }}">post</a></li>
          <li><a href="{{route('login')}}">Login</a></li>
				</ul>
			</nav>


		</aside> <!-- END COLORLIB-ASIDE -->
    <br>
    <div id="colorlib-main">
    <section >
    <div class="container">
             <h4 class="panel-heading text-center">เพิ่มสินค้า</h4>
              <!-- enctype อัพรูปภาพ -->
             <form style="margin:10px 200px;" method="post" action="{{route('views.store')}}" enctype="multipart/form-data">
               <!-- ป้องกันการโจมตี -->
                 {{ csrf_field() }}
                 <!-- ถ้าโพสสำเร็จจะออก แต่เราทำไม่ออก -->
                 @if (session('status'))
                     <div class="alert alert-success">
                         {{ session('status') }}
                     </div>
                 @endif
                 <!-- ถ้าข้อมูลไม่ครบจะแจ้งเตือน -->
                 @if ($errors->any())
                     <div class="alert alert-danger">
                         <ul>
                             @foreach ($errors->all() as $error)
                                 <li>{{ $error }}</li>
                             @endforeach
                         </ul>
                     </div>
                 @endif

                 <div class="form-group">
                   <label for="name">ชื่อสินค้า</label>
                   <input type="text" class="form-control" id="exampleInputProduct1" name="name" value="{{old('name')}}" placeholder="ชื่อสินค้า">
                 </div>

                  <div class="form-group">
                   <label for="price">ราคาสินค้า</label>
                   <input type="number" class="form-control" id="exampleInputProduct3" name="price" value="{{old('price')}}" placeholder="ราคาสินค้า">
                 </div>

                 <div class="form-group">
                  <label for="detail">รายละเอียดของสินค้า</label>
                   <textarea class="form-control" id="exampleTextarea" rows="3" name="detail" placeholder="รายละเอียดของสินค้า">{{old('detail')}}</textarea>
                 </div>
                 <div class="form-group">
                   <label for="name1">ช่องทางการติดต่อ</label>
                    <textarea class="form-control" id="exampleTextarea2" rows="3" name="name1" placeholder="ช่องทางการติดต่อ">{{old('name1')}}</textarea>
                   <!-- <input type="text" class="form-control" id="exampleInputProduct2" name="name1" value="{{old('name1')}}" placeholder="ช่องทางการติดต่อ"> -->
                 </div>

                 <div class="form-group">
                   <label for="photo ">อัพโหลดรูปสินค้า</label>
                   <input type="file" name="photo" value="{{old('photo')}}">
                   <p class="help-block">กรุณาใส่รูปสินค้า.</p>

                 </div>


              <center>   <button type="submit" class="btn btn-primary">ยืนยัน</button>
               </form>
             </div>
             <!-- </form> -->
           </div>
         </section>
         <!-- โค้ด  mouse  -->
         <script type="text/javascript">
         // <![CDATA[
         var colour="random"; // in addition to "random" can be set to any valid colour eg "#fff" or "white"
         var sparkles=50;

         /****************************
         *  Tinkerbell Magic Sparkle *
         *(c)2005-13 mf2fm web-design*
         *  http://www.mf2fm.com/rv  *
         * DON'T EDIT BELOW THIS BOX *
         ****************************/
         var x=ox=400;
         var y=oy=300;
         var swide=800;
         var shigh=600;
         var sleft=sdown=0;
         var tiny=new Array();
         var star=new Array();
         var starv=new Array();
         var starx=new Array();
         var stary=new Array();
         var tinyx=new Array();
         var tinyy=new Array();
         var tinyv=new Array();

         window.onload=function() { if (document.getElementById) {
           var i, rats, rlef, rdow;
           for (var i=0; i<sparkles; i++) {
             var rats=createDiv(3, 3);
             rats.style.visibility="hidden";
             rats.style.zIndex="999";
             document.body.appendChild(tiny[i]=rats);
             starv[i]=0;
             tinyv[i]=0;
             var rats=createDiv(5, 5);
             rats.style.backgroundColor="transparent";
             rats.style.visibility="hidden";
             rats.style.zIndex="999";
             var rlef=createDiv(1, 5);
             var rdow=createDiv(5, 1);
             rats.appendChild(rlef);
             rats.appendChild(rdow);
             rlef.style.top="2px";
             rlef.style.left="0px";
             rdow.style.top="0px";
             rdow.style.left="2px";
             document.body.appendChild(star[i]=rats);
           }
           set_width();
           sparkle();
         }}

         function sparkle() {
           var c;
           if (Math.abs(x-ox)>1 || Math.abs(y-oy)>1) {
             ox=x;
             oy=y;
             for (c=0; c<sparkles; c++) if (!starv[c]) {
               star[c].style.left=(starx[c]=x)+"px";
               star[c].style.top=(stary[c]=y+1)+"px";
               star[c].style.clip="rect(0px, 5px, 5px, 0px)";
               star[c].childNodes[0].style.backgroundColor=star[c].childNodes[1].style.backgroundColor=(colour=="random")?newColour():colour;
               star[c].style.visibility="visible";
               starv[c]=50;
               break;
             }
           }
           for (c=0; c<sparkles; c++) {
             if (starv[c]) update_star(c);
             if (tinyv[c]) update_tiny(c);
           }
           setTimeout("sparkle()", 40);
         }

         function update_star(i) {
           if (--starv[i]==25) star[i].style.clip="rect(1px, 4px, 4px, 1px)";
           if (starv[i]) {
             stary[i]+=1+Math.random()*3;
             starx[i]+=(i%5-2)/5;
             if (stary[i]<shigh+sdown) {
               star[i].style.top=stary[i]+"px";
               star[i].style.left=starx[i]+"px";
             }
             else {
               star[i].style.visibility="hidden";
               starv[i]=0;
               return;
             }
           }
           else {
             tinyv[i]=50;
             tiny[i].style.top=(tinyy[i]=stary[i])+"px";
             tiny[i].style.left=(tinyx[i]=starx[i])+"px";
             tiny[i].style.width="2px";
             tiny[i].style.height="2px";
             tiny[i].style.backgroundColor=star[i].childNodes[0].style.backgroundColor;
             star[i].style.visibility="hidden";
             tiny[i].style.visibility="visible"
           }
         }

         function update_tiny(i) {
           if (--tinyv[i]==25) {
             tiny[i].style.width="1px";
             tiny[i].style.height="1px";
           }
           if (tinyv[i]) {
             tinyy[i]+=1+Math.random()*3;
             tinyx[i]+=(i%5-2)/5;
             if (tinyy[i]<shigh+sdown) {
               tiny[i].style.top=tinyy[i]+"px";
               tiny[i].style.left=tinyx[i]+"px";
             }
             else {
               tiny[i].style.visibility="hidden";
               tinyv[i]=0;
               return;
             }
           }
           else tiny[i].style.visibility="hidden";
         }

         document.onmousemove=mouse;
         function mouse(e) {
           if (e) {
             y=e.pageY;
             x=e.pageX;
           }
           else {
             set_scroll();
             y=event.y+sdown;
             x=event.x+sleft;
           }
         }

         window.onscroll=set_scroll;
         function set_scroll() {
           if (typeof(self.pageYOffset)=='number') {
             sdown=self.pageYOffset;
             sleft=self.pageXOffset;
           }
           else if (document.body && (document.body.scrollTop || document.body.scrollLeft)) {
             sdown=document.body.scrollTop;
             sleft=document.body.scrollLeft;
           }
           else if (document.documentElement && (document.documentElement.scrollTop || document.documentElement.scrollLeft)) {
             sleft=document.documentElement.scrollLeft;
             sdown=document.documentElement.scrollTop;
           }
           else {
             sdown=0;
             sleft=0;
           }
         }

         window.onresize=set_width;
         function set_width() {
           var sw_min=999999;
           var sh_min=999999;
           if (document.documentElement && document.documentElement.clientWidth) {
             if (document.documentElement.clientWidth>0) sw_min=document.documentElement.clientWidth;
             if (document.documentElement.clientHeight>0) sh_min=document.documentElement.clientHeight;
           }
           if (typeof(self.innerWidth)=='number' && self.innerWidth) {
             if (self.innerWidth>0 && self.innerWidth<sw_min) sw_min=self.innerWidth;
             if (self.innerHeight>0 && self.innerHeight<sh_min) sh_min=self.innerHeight;
           }
           if (document.body.clientWidth) {
             if (document.body.clientWidth>0 && document.body.clientWidth<sw_min) sw_min=document.body.clientWidth;
             if (document.body.clientHeight>0 && document.body.clientHeight<sh_min) sh_min=document.body.clientHeight;
           }
           if (sw_min==999999 || sh_min==999999) {
             sw_min=800;
             sh_min=600;
           }
           swide=sw_min;
           shigh=sh_min;
         }

         function createDiv(height, width) {
           var div=document.createElement("div");
           div.style.position="absolute";
           div.style.height=height+"px";
           div.style.width=width+"px";
           div.style.overflow="hidden";
           return (div);
         }

         function newColour() {
           var c=new Array();
           c[0]=255;
           c[1]=Math.floor(Math.random()*256);
           c[2]=Math.floor(Math.random()*(256-c[1]/2));
           c.sort(function(){return (0.5 - Math.random());});
           return ("rgb("+c[0]+", "+c[1]+", "+c[2]+")");
         }
         // ]]>
         </script>
  </body>
</html>
